import numpy as np
import matplotlib.pyplot as plt

f_ifr9, ifr9 = np.loadtxt('006.TXT', unpack=1, usecols=(0, 1), comments='"')
f_ocxo9, ocxo9 = np.loadtxt('000.TXT', unpack=1, usecols=(0, 1), comments='"')

plt.figure(figsize=(5,4))
plt.clf()
plt.plot(f_ifr9/1e6, ifr9, 'b', alpha=0.7, lw=2, label='Using IFR')
plt.plot(f_ocxo9/1e6, ocxo9, 'r', alpha=0.7, lw=2, label='Using OCXO')
plt.xlim(40.5, 50.5)
plt.xlabel('Frequency [MHz]')
plt.ylabel('Power [dBm]')
plt.title('45 MHz from HG in CER, 2015--08-28')
plt.grid()
plt.legend(loc='best', framealpha=0.7, fancybox=True)
plt.tight_layout()
plt.savefig('ocxo_ifo_45MHz.pdf')
