import numpy as np
import matplotlib.pyplot as plt

f_ifr9, ifr9 = np.loadtxt('805.TXT', unpack=1, usecols=(0, 1), comments='"')
f_ocxo9, ocxo9 = np.loadtxt('806.TXT', unpack=1, usecols=(0, 1), comments='"')

plt.figure(figsize=(5,4))
plt.clf()
plt.plot(f_ifr9/1e6, ifr9, 'b', alpha=0.7, lw=2, label='IFR')
plt.plot(f_ocxo9/1e6, ocxo9, 'r', alpha=0.7, lw=2, label='OCXO')
plt.xlim(0, 13)
plt.xlabel('Frequency [MHz]')
plt.ylabel('Power [dBm]')
plt.title('9 MHz oscillators in CER, 2015--09--01')
plt.grid()
plt.legend(loc='best', framealpha=0.7, fancybox=True)
plt.tight_layout()
plt.savefig('ocxo_ifo_9MHz.pdf')
